# Get generalLedgerEntries
Retrieve the properties and relationships of a general ledger entry object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/generalLedgerEntries({id})
```
## Request headers
Header|Value
Authorization|Bearer. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and a generalLedgerEntries object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/generalLedgerEntries({id})
```
Response
Here's an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
{
    "id": "9dd7b4dc-44e3-ea11-bb43-000d3a2feca1",
    "entryNumber": 1,
    "postingDate": "2019-01-15",
    "documentNumber": "PS-INV103001",
    "documentType": " ",
    "accountId": "aaa5738a-44e3-ea11-bb43-000d3a2feca1",
    "accountNumber": "10700",
    "description": "Direct Cost 20000 on 01/15/19",
    "debitAmount": 0,
    "creditAmount": 128.4,
    "lastModifiedDateTime": "2020-08-21T00:25:56.383Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_generalledgerentry

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_generalledgerentry_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_generalledgerentry_get/
